# ulauncher-generator

This project is a tool to generate boilerplate code for Ulauncher extensions. It simplifies the process of creating new extensions by providing a basic structure and necessary files.

<a href="https://www.buymeacoffee.com/ubuntupunk" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/default-orange.png" alt="Buy Me A Coffee" height="41" width="174"></a>

## Features

- Generates a basic Ulauncher extension structure.
- Includes a `main.py` file with basic extension logic.
- Provides a `manifest.json` file for extension configuration.
- Creates a `versions.json` file for version information.
- Creates a `requirements.txt` file for package dependencies.
- Creates an `images` directory for extension icons.


## Installation

To install this project, run the following command:

```bash
pip install ulauncher-generator
```

## Usage

To use this tool, run the `ulauncher-generator` command, and follow the prompts to create a new extension.

```bash
ulauncher-generator
```

## Contributing

Contributions are welcome! Please feel free to submit a pull request.

## References
[Ulauncher Documentation](http://docs.ulauncher.io/en/stable/extensions/intro.html)

## License

[MIT License](LICENSE)
